Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Interface ArcProperty

All Superinterfaces:
  Property

All Known Subinterfaces:
  ToManyMapProperty, ToManyProperty, ToOneProperty

All Known Implementing Classes:
  BaseArcProperty, BaseToManyProperty, BaseToOneProperty, IndexedListProperty, ListProperty

    public interface ArcProperty

extends Property

A Property that represents an "arc" connecting source node to the target node in the graph.

Since:
  1.2
Author:
  Andrus Adamchik

Method Summary
`ArcProperty` | `getComplimentaryReverseArc()` Returns a complimentary reverse ArcProperty or null if no reverse arc exists.
`ObjRelationship` | `getRelationship()` Returns a relationship associated with this arc.
`ClassDescriptor` | `getTargetDescriptor()` Returns a ClassDescriptor for the type of graph nodes pointed to by this arc property.
`void` | `invalidate(Object object)` Turns a property of an object into a fault.
`boolean` | `isFault(Object source)` Returns whether a target node connected to a given object is an unresolved fault.

Methods inherited from interface org.apache.cayenne.reflect.Property
`getName, injectValueHolder, readProperty, readPropertyDirectly, visit, writeProperty, writePropertyDirectly`

Method Detail

### getRelationship

    ObjRelationship getRelationship()

  Returns a relationship associated with this arc.

  Since:
    3.0

### getComplimentaryReverseArc

    ArcProperty getComplimentaryReverseArc()

  Returns a complimentary reverse ArcProperty or null if no reverse arc exists.

### getTargetDescriptor

    ClassDescriptor getTargetDescriptor()

  Returns a ClassDescriptor for the type of graph nodes pointed to by this arc property. Note that considering that a target object may be a subclass of the class handled by the descriptor, users of this method may need to call `ClassDescriptor.getSubclassDescriptor(Class)` before using the descriptor to access objects.

### isFault

    boolean isFault(Object source)

  Returns whether a target node connected to a given object is an unresolved fault.

  Parameters:
    `source` - an object that is a source object of the relationship.

### invalidate

    void invalidate(Object object)

  Turns a property of an object into a fault.

  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.